# PSF-LoginServer - master - net.psforever.objects.serverobject.mount.Mountable
PSF - LoginServer - master - net.psforever.objects.serverobject.mount.Mountable
Keywords: PSF LoginServer master net.psforever.objects.serverobject.mount.Mountable

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

t

net.psforever.objects.serverobject.mount

# Mountable 

###
Companion object Mountable

#### trait Mountable extends AnyRef

A `Trait` common to all game objects that permit players to interact with established spatial locations external to the object ("mount points") and attach to the object in internal indices ("seats") for an undefined length of time.

Source
  Mountable.scala
See also

  `Seat`

Linear Supertypes
AnyRef, Any
Known Subclasses
TurretDeployable, Vehicle, OrbitalShuttle, ImplantTerminalMech, FacilityTurret, WeaponTurret, MountableWeapons

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Mountable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Actor: ActorRef

   A reference to an `Actor` that governs the logic of the object to accept `Mountable` messages.

   A reference to an `Actor` that governs the logic of the object to accept `Mountable` messages. Specifically, the `Actor` should intercept the logic of `MountableControl.`

   returns

     the internal `ActorRef`

   See also

     `MountableControl`

     `PlanetSideServerObject.Actor`

2.  abstract def Definition: MountableDefinition

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def GetSeatFromMountPoint(mountPoint: Int): Option[Int]

   Given a mount point index, return the associated mount index.

   Given a mount point index, return the associated mount index.

   mountPoint

     the mount point

   returns

     the mount index

5.  def MountPoints: Map[Int, MountInfo]

   Retrieve a mapping of each mount from its mount point index.

   Retrieve a mapping of each mount from its mount point index.

   returns

     the mapping of mount point to mount

6.  def PassengerInSeat(user: Player): Option[Int]

   Given a player, determine if that player is seated.

   Given a player, determine if that player is seated.

   user

     the player

   returns

     the mount index

7.  def Seat(seatNumber: Int): Option[Seat]

   Given a mount's index position, retrieve the internal `Seat` object.

   Given a mount's index position, retrieve the internal `Seat` object.

   returns

     the specific mount

8.  def Seats: Map[Int, Seat]

   Retrieve a mapping of each mount from its internal index.

   Retrieve a mapping of each mount from its internal index.

   returns

     the mapping of index to mount

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  val seats: Map[Int, Seat]
    Attributes
      protected
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped